Package ru.bitel.bgbilling.kernel.task.common.bean

# Class LightweightTaskData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.task.common.bean.LightweightTaskData

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `TaskData`

public class LightweightTaskData extends IdTitle
Базовый бин для задачи планировщика. Используется для отображения/редактирования задачи в клиенте биллинга, т.к. нет необходимости грузить с сервера большой объект TaskData - это и лишняя память и передаваемый траффик по сети.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `className`
  `protected String`
  `comment`
  `protected int`
  `day`
  `protected int`
  `dayOfWeek`
  `protected List<DependentTask>`
  `dependentTasks`
  `protected int`
  `hour`
  `protected boolean`
  `isPlugin`
  `protected long`
  `min`
  `protected int`
  `moduleId`
  `protected String`
  `moduleName`
  `protected int`
  `month`
  `protected String`
  `params`
  `protected Period`
  `period`
  `protected int`
  `priority`
  `protected TaskStatus`
  `taskStatus`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LightweightTaskData()`
  `LightweightTaskData(int month, int day, int dayOfWeek, int hour, long min)`
  `LightweightTaskData(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LightweightTaskData`
  `clone()`
  `String`
  `getClassName()`
  `String`
  `getComment()`
  `int`
  `getDay()`
  `int`
  `getDayOfWeek()`
  `List<DependentTask>`
  `getDependentTasks()`
  `int`
  `getHour()`
  `long`
  `getMin()`
  `int`
  `getModuleId()`
  `String`
  `getModuleName()`
  `int`
  `getMonth()`
  `String`
  `getParams()`
  `Period`
  `getPeriod()`
  `int`
  `getPriority()`
  `TaskStatus`
  `getTaskStatus()`
  Получение статуса задачи.
  `boolean`
  `isPlugin()`
  `void`
  `setClassName(String className)`
  `void`
  `setComment(String comment)`
  `void`
  `setDay(int day)`
  `void`
  `setDayOfWeek(int dayOfWeek)`
  `void`
  `setDependentTasks(List<DependentTask> dependentTasks)`
  `void`
  `setHour(int hour)`
  `void`
  `setMin(long min)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setModuleName(String moduleName)`
  `void`
  `setMonth(int month)`
  `void`
  `setParams(String params)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setPlugin(boolean isPlugin)`
  `void`
  `setPriority(int priority)`
  `void`
  `setTaskStatus(TaskStatus taskStatus)`
  Установка статуса задачи.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### month

    protected int month

  - ### day

    protected int day

  - ### hour

    protected int hour

  - ### dayOfWeek

    protected int dayOfWeek

  - ### min

    protected long min

  - ### className

    protected String className

  - ### isPlugin

    protected boolean isPlugin

  - ### moduleId

    protected int moduleId

  - ### moduleName

    protected String moduleName

  - ### priority

    protected int priority

  - ### taskStatus

    protected TaskStatus taskStatus

  - ### params

    protected String params

  - ### period

    protected Period period

  - ### comment

    protected String comment

  - ### dependentTasks

    protected List<DependentTask> dependentTasks

- ## Constructor Details

  - ### LightweightTaskData

    public LightweightTaskData()

  - ### LightweightTaskData

    public LightweightTaskData(int id, String title)

  - ### LightweightTaskData

    public LightweightTaskData(int month, int day, int dayOfWeek, int hour, long min)

- ## Method Details

  - ### getMonth

    public int getMonth()

  - ### setMonth

    public void setMonth(int month)

  - ### getDay

    public int getDay()

  - ### setDay

    public void setDay(int day)

  - ### getHour

    public int getHour()

  - ### setHour

    public void setHour(int hour)

  - ### getDayOfWeek

    public int getDayOfWeek()

  - ### setDayOfWeek

    public void setDayOfWeek(int dayOfWeek)

  - ### getMin

    public long getMin()

  - ### setMin

    public void setMin(long min)

  - ### getClassName

    public String getClassName()

  - ### setClassName

    public void setClassName(String className)

  - ### isPlugin

    public boolean isPlugin()

  - ### setPlugin

    public void setPlugin(boolean isPlugin)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getModuleName

    public String getModuleName()

  - ### setModuleName

    public void setModuleName(String moduleName)

  - ### getPriority

    public int getPriority()

  - ### setPriority

    public void setPriority(int priority)

  - ### getTaskStatus

    public TaskStatus getTaskStatus()
    Получение статуса задачи. Возможные значения:
    - `TaskStatus.ENABLE` - задача включена
    - `TaskStatus.DISABLE` - задача выключена
    Returns:
      the taskStatus

  - ### setTaskStatus

    public void setTaskStatus(TaskStatus taskStatus)
    Установка статуса задачи. Возможные значения:
    - `TaskStatus.ENABLE` - задача включена
    - `TaskStatus.DISABLE` - задача выключена
    Parameters:
      `taskStatus` - the taskStatus to set

  - ### getParams

    public String getParams()

  - ### setParams

    public void setParams(String params)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period period)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDependentTasks

    public List<DependentTask> getDependentTasks()

  - ### setDependentTasks

    public void setDependentTasks(List<DependentTask> dependentTasks)

  - ### clone

    public LightweightTaskData clone() throws CloneNotSupportedException
    Overrides:
      `clone` in class `Object`
    Throws:
      `CloneNotSupportedException`